<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="estilo.css">
    <title>Document</title>
</head>

<body>
    <div>Entre com um número </div>
    <input type="number" name="txt_input"  id="txt_input">
    <textarea name="txt_presenter"  id="txt_presenter" cols="30" rows="5"></textarea>
    <br>
    <input type="button" name="bt_adicionar" value="Adicionar" onclick="adicionar()">
    
<script>
    let num = []
    function adicionar(){
        var valTxtInput = window.document.getElementById("txt_input").value.toString()
        var txtPresenter = window.document.getElementById("txt_presenter") 
            
        addArray(valTxtInput)
        txtPresenter.innerHTML = addTextArea(num)
        
        window.document.getElementById("txt_input").innerHTML = ""
    }

    function addArray(valor){
        if(num.indexOf(valor) < 0){
            num.push(valor)
        }
        return num
    }

    function addTextArea(num) {
        var s =""
        for(let n = 0 ; n < num.length ; n++){
            s += num[n].toString() + "\n" 
        }
        return s
    }

</script>

</body>
</html>